<?php

namespace App\Repository\CollectifData;

use Knp\Component\Pager\PaginatorInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class CollectifDataRepositoryQuery extends AbstractRepositoryQuery implements RepositoryQueryInterface
{
    public function __construct(CollectifDataRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'r', $paginator);
    }

    public function filterByStatus($status)
    {
        $this->andWhereEqual('status', $status);
    }
}
